Virtuemart 2.0 releasedVirtuemart 2.0 is stable and ready to be used on production websites. A nice detail for the Dutch; we have already implemented support for the Dutch payment method iDEAL in Virtuemart 2.0. If you have not already, now is the time to install Virtuemart 2.0 on a test location to get to know the new version. 

In this article learn more about Virtuemart 2.0 and how to add iDEAL to Virtuermart 2.0. I will also explain what you should consider when you decide to use Virtuemart 2.0 in a next e-commerce project. 

Virtuemart 2.0 is completely new

The new Virtuemart version was released on 19 December 2011, after a very long period of development. The result is a new version is a major overhaul of the previous version, Virtuemart 1.1. Not only has the structure and user interface changed, but the code base is built from the ground up. It is a completely new version. 

iDEAL for Virtuemart 2.0

We have already released an update to cciDEAL Platform on 3 January 2012 which adds support for iDEAL in Virtuemart 2.0. Because of the code rewrites in Virtuemart 2.0, it was not possible to easily modify our original iDEAL extension, cciDEAL Virtuemart, to work in Virtuemart 2.0. We had to implement iDEAL for Virtuemart 2.0 in our new extension, cciDEAL Platform.

Virtuemart 2 iDEAL component

Joomla! 1.7 and 2.5 support

To me, the most important new feature is the support for Joomla! 1.7 (and later Joomla! 2.5). This means that any Joomla! 1.5 and Virtuemart 1.1 shop can migrate to Virtuemart 2.0, and then to Joomla! 1.7 or Joomla! 2.5. Older shops on Virtuemart 1.1 are not left behind and have the ability to keep up with the new Joomla! versions.

By the way, Virtuemart 2.0 will not install in the beta of Joomla! 2.5 at the moment, but this is probably fixed shortly after the Joomla! 2.5 stable release. 

Take the time to test

As mentioned before, Virtuemart 2.0 is built from the ground up. This means that your current Virtuemart 1.1 templates, modules and extensions will not work in Virtuermart 2.0! Also, you can not easily "update" a Virtuemart 1.1 shop to Virtuemart 2.0, you will need to migrate. The migration function can be found under "Tools" in Virtuemart 2.0 itself. 

Something else to keep in mind is the fact that due to the large overhaul, functions might work differently in Virtuemart 2.0, or are not available at all compared to Virtuermart 1.1. So you really need to install the new version on a test location and built a little test shop to experience the specific changes and how they affect your shop/situation. 

If after your test you decide that Virtuemart 2.0 does not fit your needs, you should have a look at other e-commerce solutions. In the last years there have been a few new players to the field, and they are also looking very promising.

My experience

The last weeks I have done extensive testing with Virtuemart 2.0 (to implement our iDEAL plugin), and based on that testing I can conclude: Virtuemart 2.0 is worth a look! Even if you decided never to use Virtuemart again because you where not happy with the speed of development or the bugs in Virtuemart 1.1, install and play with this new version. You will probably be pleasantly surprised.